Add a network WireGuard config
curl --request POST \
--url https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"public_key": "exampleClientPublicKeyBase64AAAAAAAAAAAAAA="
}
'import requests
url = "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
payload = { "public_key": "exampleClientPublicKeyBase64AAAAAAAAAAAAAA=" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({public_key: 'exampleClientPublicKeyBase64AAAAAAAAAAAAAA='})
};
fetch('https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'public_key' => 'exampleClientPublicKeyBase64AAAAAAAAAAAAAA='
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
payload := strings.NewReader("{\n \"public_key\": \"exampleClientPublicKeyBase64AAAAAAAAAAAAAA=\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"public_key\": \"exampleClientPublicKeyBase64AAAAAAAAAAAAAA=\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"public_key\": \"exampleClientPublicKeyBase64AAAAAAAAAAAAAA=\"\n}"
response = http.request(request)
puts response.read_body{
"peer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"public_key": "<string>",
"assigned_ip": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
},
"network": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cidr": "<string>",
"gateway_ip": "<string>",
"status": "<string>",
"gateway": {
"public_endpoint": "<string>",
"public_key": "<string>",
"udp_port": 123,
"status": "<string>"
}
},
"config": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"detail": {
"code": "invalid_wireguard_public_key",
"message": "That is not a valid WireGuard public key. Paste the 44 character key from your WireGuard client."
}
}{
"code": "<string>",
"detail": "<string>"
}Add a network WireGuard config
Registers your WireGuard public key on a network in your organization and returns a config with a placeholder for your private key. The network must be active. The config belongs to this API key. Retrying with the same API key and public key returns the existing config.
POST
/
v1
/
orchestrator
/
networks
/
{network_id}
/
peers
Add a network WireGuard config
curl --request POST \
--url https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"public_key": "exampleClientPublicKeyBase64AAAAAAAAAAAAAA="
}
'import requests
url = "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
payload = { "public_key": "exampleClientPublicKeyBase64AAAAAAAAAAAAAA=" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({public_key: 'exampleClientPublicKeyBase64AAAAAAAAAAAAAA='})
};
fetch('https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'public_key' => 'exampleClientPublicKeyBase64AAAAAAAAAAAAAA='
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers"
payload := strings.NewReader("{\n \"public_key\": \"exampleClientPublicKeyBase64AAAAAAAAAAAAAA=\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"public_key\": \"exampleClientPublicKeyBase64AAAAAAAAAAAAAA=\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/orchestrator/networks/{network_id}/peers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"public_key\": \"exampleClientPublicKeyBase64AAAAAAAAAAAAAA=\"\n}"
response = http.request(request)
puts response.read_body{
"peer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"public_key": "<string>",
"assigned_ip": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
},
"network": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cidr": "<string>",
"gateway_ip": "<string>",
"status": "<string>",
"gateway": {
"public_endpoint": "<string>",
"public_key": "<string>",
"udp_port": 123,
"status": "<string>"
}
},
"config": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"detail": {
"code": "invalid_wireguard_public_key",
"message": "That is not a valid WireGuard public key. Paste the 44 character key from your WireGuard client."
}
}{
"code": "<string>",
"detail": "<string>"
}Authorizations
Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.
Path Parameters
Private network ID.
Body
application/json
Your WireGuard public key, 44 characters of base64. Never send the private key.
Was this page helpful?